Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class UpgradeCredentialManagerSchema

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.upgrade.common.UpgradeCredentialManagerSchema

All Implemented Interfaces:
  Action, IfsParameters

    public class UpgradeCredentialManagerSchema

extends JDBCAction

Checks if the iFS credential manager schema exists; if not, it executes the CreateCredentialMgrSchemaAction.

Note: This JDBCAction requires execution as the SYS user.

This Action defines the following keys:
IFS.SERVICE.CREDENTIALMANAGER.Ifs.Schema - the name of the iFS Credential Manager schema (to create)
IFS.SERVICE.JDBC.Schema - the name of the iFS schema (that the CM schema will be used for)
SchemaPassword - the iFS schema password
TNS.Alias - the TNS alias for the database holding the iFS schemas
LogFile - [optional] the name of the log file to generate First used in 1.0.8.x --> 1.1.0.0.0

Field Summary

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`UpgradeCredentialManagerSchema()`

Method Summary
`void` | `execute(java.sql.Connection con)` Creates the index.
`void` | `failed(java.lang.Throwable error)` Does nothing.
`void` | `stop()` Does nothing.

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpgradeCredentialManagerSchema

    public UpgradeCredentialManagerSchema()

Method Detail

### execute

    public void execute(java.sql.Connection con)
                 throws java.sql.SQLException,
                        ActionFailedException

  Description copied from class: `UpgradeCredentialManagerSchema`
  Creates the index.

  Specified by:
    `execute` in class `JDBCAction`
  Parameters:
    `con` - the Connection to the database.
  Throws:
    `java.sql.SQLException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### stop

    public void stop()

  Description copied from class: `UpgradeCredentialManagerSchema`
  Does nothing.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `UpgradeCredentialManagerSchema`
  Does nothing.

  Parameters:
    `error` - the error that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD